%define pkgname activerecord
Summary:	Object-Relational mapping library for Ruby
Summary(pl.UTF-8):	Biblioteka odwzorowań obiektowo-relacyjnych dla Ruby
Name:		ruby-%{pkgname}
Version:	3.2.19
Release:	5
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	2e60941e3c5080df05c51de2e2d7b328
URL:		http://rubyforge.org/projects/activerecord/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
Requires:	ruby-activemodel >= 3.2.0
Requires:	ruby-activesupport >= 3.2.0
Provides:	ruby-ActiveRecord
Obsoletes:	ruby-ActiveRecord
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains Object-Relational mapping library for Ruby.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę odwzorowań obiektowo-relacyjnych dla
Ruby.

%package rdoc
Summary:	Documentation files for ActiveRecord
Summary(pl.UTF-8):	Dokumentacja do biblioteki ActiveRecord
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
Documentation files for ActiveRecord.

%description rdoc -l pl.UTF-8
Dokumentacja do biblioteki ActiveRecord.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -rf ri/{Fixture*,I18n,MysqlCompat,PGresult,Test,YAML}
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

# install gemspec
install -d $RPM_BUILD_ROOT%{ruby_specdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.rdoc examples
%{ruby_vendorlibdir}/active_record
%{ruby_vendorlibdir}/active_record.rb
%{ruby_vendorlibdir}/rails/generators/active_record.rb
%{ruby_vendorlibdir}/rails/generators/active_record
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/ActiveRecord
%changelog
* Sat Jan 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-activerecord.git;a=log;h=master

* Sat Jan 16 2016 Jan Rękorajski <baggins@pld-linux.org> 2ced66d
- release 5 (by relup.sh)

* Fri Aug 28 2015 Elan Ruusamäe <glen@delfi.ee> aabfc21
- rebuild without versioned ruby abi dep
- release 4 (by relup.sh)

* Tue Aug 11 2015 Elan Ruusamäe <glen@delfi.ee> 6d11c53
- install to vendor dir; noarch package

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 89ab1e6
- x32 rebuild
- release 2 (by relup.sh)

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> bb0bcb8
- up to 3.2.19

* Wed Dec 01 2010 aredridel <aredridel@pld-linux.org> edc9f26
- Removed, mainline has equivalent fix

* Tue Nov 30 2010 aredridel <aredridel@pld-linux.org> b8c6ebe
- 3.0.3
- R: ruby-arel
- R: ruby-activemodel

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 755c57a
- removed outdated toto
- added ri package

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> f9d06e0
- updated R

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> 85e6152
- updated to 2.3.5

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> b1b59f0
- outdated

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 51bb654
- P:ruby-ActiveRecord

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 4350546
- renamed ruby-ActiveRecord -> ruby-activerecord

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 91c754f
- 2.0.5, add -rdoc, rdoc such filelist needs ruby 1.8.6 to build

* Thu Sep 18 2008 aredridel <aredridel@pld-linux.org> a69c2d8
- added

* Fri Aug 29 2008 aredridel <aredridel@pld-linux.org> 0becbfa
- 2.1.0

* Fri Aug 29 2008 aredridel <aredridel@pld-linux.org> 98766d3
- added

* Thu Dec 13 2007 Jakub Bogusz <qboosh@pld-linux.org> b2cc604
- outdated

* Thu Dec 13 2007 aredridel <aredridel@pld-linux.org> ac1b9ec
- 2.0.1

* Tue Mar 27 2007 aredridel <aredridel@pld-linux.org> 9b59d4f
- 1.15.3

